2011年4月22日 星期五

GNOME 3 大小事

http://en.opensuse.org/openSUSE:GNOME_3.0
想安裝 GNOME 3 的伙伴可以看看上面的頁面
裡面有安裝方法、注意事項、已知問題

如果您不習慣只有一個關閉按鈕

想要改回有3個按鈕

您可以用
$ gconftool-2 -s /desktop/gnome/shell/windows/button_layout -t String :minimize,maximize,close

重新登入後即可生效

若想要在上端的工具列顯示輸入法狀態

請參考
[GNOME3] 在工具列顯示邪惡的 Notification Status Icon
我使用的 gcin icons 是由 http://hyperrate.com/dir.php?eid=218 找的
解壓縮後將圖示放在 ~/,gcin/icons/ 底下
您可能需要將圖縮至 16x16

若您要使用 ibus,您要修改
~/.local/share/gnome-shell/extensions/EvilStatusIconForever\@NBGentoo/extension.js
加入
StatusIconDispatcher.STANDARD_TRAY_ICON_IMPLEMENTATIONS['main.py'] = 'ibus';

效果如下:

請注意要加裝 ibus-gtk3 這個套件
(5/4 更新:當 gnome 3 升級到 3.0.1 時發現以上作法失效,經詢問原作者得到解答
http://bone.twbbs.org.tw/blog/archives/2166
將 EvilStatusIconForeEvilStatusIconForever@NBGentoo/metadata.josn 裡面的 "3.0.0.2″ 改成 3.0.1 即可)


(5/6 更新:有關輸入法在系統匣的圖示,也可以參考
Imdiot`s Blog : 来~让我们把gnome-shell中ibus的tray挪挪地儿~~~)


有關 openSUSE 的 gcin 套件:
http://download.opensuse.org/repositories/home:/swyear/ 裡維護的 gcin 套件
我把他切成了一些子套件:
gcin : 主程式與 gtk2-immodule
gcin-qt4-immodule : 在 KDE 4.x 環境中需要
gcin-qt3-immodule : KDE 3.x 環境會用到,現在應該大部分的程式用不到
gcin-gtk3-immodule : GNOME 3(gtk3) 環境中會用到(只有 11.4 及之後的版本才有這個套件)
gcin-anthy-module : anthy 輸入模組,需要日文輸入時需要
gcin-voice : 發音模組
各位 gcin 愛用者在更新時請留意

6 則留言:

Penny 提到...

謝謝黑眼珠前輩的分享
這次Penny也成功了!!

正在體驗GNOME3的改變!
目前整個感覺很棒!!

swyear 提到...

Penny:
恭喜!

spring_thunder 提到...

gnome3 讓我安裝了opensuse 但是我覺得新出來的版本,問題肯定有點多,就去嘗試了kde。現在也是用的唯一的。4版本。 我的n卡,我的也圖標發白。貌似裝了官方驅動就好了

swyear 提到...

spring thunder:
問題多少會有,但通常也有些暫時迴避的方法

光夜 提到...

請問一下Gnome3安裝非套件庫裡的程式(TeamSpeak3),要怎麼設定才能讓捷徑出現在Gnome-shell的應用程式裡面?謝謝。

swyear 提到...

光夜:
看看該程式裡有沒有 TeamSpeak.desktop 之類的,若有的話,加到 /usr/share/applications/ 裏面,如果重新登入仍沒出現,檢查該檔案的 Categories 設定,您可以參考其他應出現在同一位置的 *.desktop 設定檔,或自己寫一個,在KDE或GNOME2都可以在桌面上新增一個應用程式(GNOME3好像...),試試看吧